Bug 1409821 - pcs rebase bug for 7.4
Summary: pcs rebase bug for 7.4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Ivan Devat
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-03 14:25 UTC by Tomas Jelinek
Modified: 2017-08-01 18:26 UTC (History)
7 users (show)

Fixed In Version: pcs-0.9.156-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 18:26:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1387424 None CLOSED Rebase clufter component [RHEL 7.4] 2019-09-20 18:06:10 UTC
Red Hat Product Errata RHBA-2017:1958 normal SHIPPED_LIVE pcs bug fix and enhancement update 2017-08-01 18:09:47 UTC

Internal Links: 1387424

Description Tomas Jelinek 2017-01-03 14:25:13 UTC
pcs rebase bug for 7.4

Comment 3 Ivan Devat 2017-02-20 08:49:48 UTC
[0.9.156] - 2017-02-10
Added

    Fencing levels now may be targeted in CLI by a node name pattern or a node attribute in addition to a node name (rhbz#1261116)
    pcs cluster cib-push allows to push a diff obtained internally by comparing CIBs in specified files (rhbz#1404233, rhbz#1419903)
    Added flags --wait, --disabled, --group, --after, --before into the command pcs stonith create
    Added commands pcs stonith enable and pcs stonith disable
    Command line option --request-timeout (rhbz#1292858)
    Check whenever proxy is set when unable to connect to a node (rhbz#1315627)

Changed

    pcs node [un]standby and pcs node [un]maintenance is now atomic even if more than one node is specified (rhbz#1315992)
    Restarting pcsd initiated from pcs is now a synchronous operation (rhbz#1284404)
    Stopped bundling fonts used in pcsd GUI (ghissue#125)
    In pcs resource create flags --master and --clone changed to keywords master and clone
    libcurl is now used for node to node communication

Fixed

    When upgrading CIB to the latest schema version, check for minimal common version across the cluster (rhbz#1389443)
    pcs booth remove now works correctly even if the booth resource group is disabled (rhbz#1389941)
    Adding a node in a CMAN cluster does not cause the new node to be fenced immediately (rhbz#1394846)
    Show proper error message when there is an HTTP communication failure (rhbz#1394273)
    Fixed searching for files to remove in the /var/lib directory (ghpull#119, ghpull#120)
    Fixed messages when managing services (start, stop, enable, disable...)
    Fixed disabling services on systemd systems when using instances (rhbz#1389501)
    Fixed parsing commandline options (rhbz#1404229)
    Pcs does not exit with a false error message anymore when pcsd-cli.rb outputs to stderr (ghissue#124)
    Pcs now exits with an error when both --all and a list of nodes is specified in the pcs cluster start | stop | enable | disable commands (rhbz#1339355)
    built-in help and man page fixes and improvements (rhbz#1347335)
    In pcs resource create the flag --clone no longer steals arguments from the keywords meta and op (rhbz#1395226)
    pcs resource create does not produce invalid cib when group id is already occupied with non-resource element (rhbz#1382004)
    Fixed misbehavior of the flag --master in pcs resource create command (rhbz#1378107)
    Fixed tacit acceptance of invalid resource operation in pcs resource create (rhbz#1398562)
    Fixed misplacing metadata for disabling when running pcs resource create with flags --clone and --disabled (rhbz#1402475)
    Fixed incorrect acceptance of the invalid attribute of resource operation in pcs resource create (rhbz#1382597)
    Fixed validation of options of resource operations in pcs resource create (rhbz#1390071)
    Fixed silent omission of duplicate options (rhbz#1390066)
    Added more validation for resource agent names (rhbz#1387670)
    Fixed network communication issues in pcsd when a node was specified by an IPv6 address
    Fixed JS error in web UI when empty cluster status is received (rhbz#1396462)
    Fixed sending user group in cookies from Python 3
    Fixed pcsd restart in Python 3
    Fixed parsing XML in Python 3 (caused crashes when reading resource agents metadata) (rhbz#1419639)
    Fixed the recognition of the structure of a resource agent name that contains a systemd instance (rhbz#1419661)

Removed

    Ruby 1.8 and 1.9 is no longer supported due to bad libcurl support

[0.9.155] - 2016-11-03
Added

    Show daemon status in pcs status on non-systemd machines
    SBD support for cman clusters (rhbz#1380352)
    Alerts management in pcsd (rhbz#1376480)

Changed

    Get all information about resource and stonith agents from pacemaker. Pcs now supports the same set of agents as pacemaker does. (rhbz#1262001, ghissue#81)
    pcs resource create now exits with an error if more than one resource agent matches the specified short agent name instead of randomly selecting one of the agents
    Allow to remove multiple alerts and alert recipients at once

Fixed

    When stopping a cluster with some of the nodes unreachable, stop the cluster completely on all reachable nodes (rhbz#1380372)
    Fixed pcsd crash when rpam rubygem is installed (ghissue#109)
    Fixed occasional crashes / failures when using locale other than en_US.UTF8 (rhbz#1387106)
    Fixed starting and stopping cluster services on systemd machines without the service executable (ghissue#115)

Comment 5 Jan Pokorný [poki] 2017-03-24 15:48:41 UTC
Note  "pcs config export" will produce ANSI-colored content to a file if
requested via "output=<file>" modifier to pcs.  Regardless if this is
a long-standing bug or a new clufter fall-out (clufter 0.70.0, also
current version destined for 7.4) slightly changed the behavior of
auto-adapting to terminal output + the evaluation thereof), this needs
to be addressed.

It is already fixed in upstream/Fedora:

https://github.com/ClusterLabs/pcs/commit/c5d73581c8bacfe992f863b49e5902fc33198503
(along with
https://github.com/ClusterLabs/pcs/commit/c5f8001c6f8aad82a6c54311d39111cfa64cd2b9
https://github.com/ClusterLabs/pcs/commit/647fc814f482f14c70fb569fd4fd3b494e57d7c9
)

so take it just as a reminder.

Comment 6 Ivan Devat 2017-04-11 07:07:22 UTC
[0.9.157] - 2017-04-10
Added

    Resources in location constraints now may be specified by resource name patterns in addition to resource names (rhbz#1362493)
    Proxy settings description in pcsd configuration file (rhbz#1315627)
    Man page for pcsd (rhbz#1378742)
    Pcs now allows to set trace_ra and trace_file options of ocf:heartbeat and ocf:pacemaker resources (rhbz#1421702)
    pcs resource describe and pcs stonith describe commands now show all information about the specified agent if the --full flag is used
    pcs resource manage | unmanage enables respectively disables monitor operations when the --monitor flag is specified (rhbz#1303969)
    Support for shared storage in SBD. Currently, there is very limited support in web UI (rhbz#1413958)

Changed

    It is now possible to specify more than one resource in the pcs resource enable and pcs resource disable commands.

Fixed

    Python 3: pcs no longer spams stderr with error messages when communicating with another node
    Stopping a cluster does not timeout too early and it generally works better even if the cluster is running Virtual IP resources (rhbz#1334429)
    pcs booth remove now works correctly even if the booth resource group is disabled (another fix) (rhbz#1389941)
    Fixed Cross-site scripting (XSS) vulnerability in web UI (CVE-2017-2661, rhbz#1434111)
    Pcs no longer allows to create a stonith resource based on an agent whose name contains a colon (rhbz#1415080)
    Pcs command now launches Python interpreter with "sane" options (python -Es) (rhbz#1328882)
    Clufter is now supported on both Python 2 and Python 3 (rhbz#1428350)
    Do not colorize clufter output if saved to a file

Comment 7 Ivan Devat 2017-06-01 06:01:05 UTC
[0.9.158] - 2017-05-23
Added

    Support for bundle resources (CLI only) (rhbz#1433016)
    Commands for adding and removing guest and remote nodes including handling pacemaker authkey (CLI only) (rhbz#1176018, rhbz#1254984, rhbz#1386114, rhbz#1386512)
    Command pcs cluster node clear to remove a node from pacemaker's configuration and caches
    Backing up and restoring cluster configuration by pcs config backup and pcs config restore commands now support corosync and pacemaker authkeys (rhbz#1165821, rhbz#1176018)

Deprecated

    pcs cluster remote-node add and pcs cluster remote-node removecommands have been deprecated in favor of pcs cluster node add-guest and pcs cluster node remove-guest commands (rhbz#1386512)

Fixed

    Fixed a bug which under specific conditions caused pcsd to crash on start when running under systemd (ghissue#134)
    pcs resource unmanage now sets the unmanaged flag to primitive resources even if a clone or master/slave resource is specified. Thus the primitive resources will not become managed just by uncloning. This also prevents some discrepancies between disabled monitor operations and the unmanaged flag. (rhbz#1303969)
    pcs resource unmanage --monitor now properly disables monitor operations even if a clone or master/slave resource is specified. (rhbz#1303969)
    --help option now shows help just for the specified command. Previously the usage for a whole group of commands was shown.
    Fixed a crash when pcs cluster cib-push is called with an explicit value of the --wait flag (rhbz#1422667)
    Handle pcsd crash when an unusable address is set in PCSD_BIND_ADDR (rhbz#1373614)
    Removal of a pacemaker remote resource no longer causes the respective remote node to be fenced (rhbz#1390609)

Changed

    Newly created clusters are set up to encrypt corosync communication (rhbz#1165821, ghissue#98)

Comment 9 errata-xmlrpc 2017-08-01 18:26:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1958


Note You need to log in before you can comment on or make changes to this bug.